<?php

namespace App\Http\Controllers;
use App\ProductoGrupoTerapeutico;

use Illuminate\Http\Request;

class ProductoGrupoTerapeuticoController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $info=ProductoGrupoTerapeutico::all();
        return view('producto_gurpo_terapeutico.lista',compact('info'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('producto_gurpo_terapeutico.nuevo');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $where = [
            'nombre' => $request->nombre
        ];
        $verificarRepetido=ProductoGrupoTerapeutico::where($where)->first();
        
        if($verificarRepetido){
            $arrResponse = [
                'message' => 'Grupo Terapeutico ya existe'
            ];
            return redirect()->route('productos.grupo_terapeutico')->with($arrResponse);
            dd();
        }
        $laboratorio = new ProductoGrupoTerapeutico();
        $laboratorio->create($request->all());
        $arrResponse = [
            'message' => 'Grupo Terapeutico guardado correctamente'
        ];
        return redirect()->route('productos.grupo_terapeutico')->with($arrResponse);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(ProductoGrupoTerapeutico $object)
    {
        //
        return view('producto_gurpo_terapeutico.editar',compact('object'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, ProductoGrupoTerapeutico $object)
    {
        //
        $object->nombre = $request['nombre'];
        $object->update();
        $arrResponse = [
            'message' => 'Grupo Terapeutico actualizada correctamente'
        ];
        return redirect()->route('productos.grupo_terapeutico')->with($arrResponse);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        ProductoGrupoTerapeutico::destroy($id);
        $arrResponse = [
            'message' => 'Grupo Terapeutico eliminada correctamente'
        ];
        return redirect()->route('productos.grupo_terapeutico')->with($arrResponse);
    }
}
